org.modeshape.jcr.cache.document

## Class SessionNode.DeepClone

- java.lang.Object
- - org.modeshape.jcr.cache.document.SessionNode.DeepCopy
  - - org.modeshape.jcr.cache.document.SessionNode.DeepClone

- Enclosing class:
    SessionNode

      protected class SessionNode.DeepClone
      extends SessionNode.DeepCopy

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.document.SessionNode.DeepCopy

      `connectors, documentStore, linkedPlaceholdersToOriginal, propertyFactory, sourceCache, sourceKeyToReferenceProperties, sourceNode, sourceToTargetKeys, startingPathInSource, systemWorkspaceKey, targetCache, targetNode, targetWorkspaceKey, valueFactories`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionNode.DeepClone(SessionNode targetNode, WritableSessionCache cache, CachedNode sourceNode, SessionCache sourceCache, String systemWorkspaceKey, Connectors connectors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copyProperties(MutableCachedNode targetNode, CachedNode sourceNode)`
    `protected void` | `copyUUIDProperty(Property sourceProperty, MutableCachedNode targetNode, CachedNode sourceNode)`
    `protected NodeKey` | `createTargetKeyFor(NodeKey sourceKey, NodeKey parentKeyInTarget, String preferredKey)`
    `protected String` | `getOperationName()`

    - ### Methods inherited from class org.modeshape.jcr.cache.document.SessionNode.DeepCopy

      `convertToInternalBinaryValue, doPhase1, doPhase2, execute, getSourceToTargetKeys, resolveReferences, shouldProcessSourceKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNode.DeepClone

          protected SessionNode.DeepClone(SessionNode targetNode,
                               WritableSessionCache cache,
                               CachedNode sourceNode,
                               SessionCache sourceCache,
                               String systemWorkspaceKey,
                               Connectors connectors)

  - ### Method Detail

    - #### copyProperties

          protected void copyProperties(MutableCachedNode targetNode,
                            CachedNode sourceNode)

      Overrides:
        `copyProperties` in class `SessionNode.DeepCopy`

    - #### copyUUIDProperty

          protected void copyUUIDProperty(Property sourceProperty,
                              MutableCachedNode targetNode,
                              CachedNode sourceNode)

      Overrides:
        `copyUUIDProperty` in class `SessionNode.DeepCopy`

    - #### createTargetKeyFor

          protected NodeKey createTargetKeyFor(NodeKey sourceKey,
                                   NodeKey parentKeyInTarget,
                                   String preferredKey)

      Overrides:
        `createTargetKeyFor` in class `SessionNode.DeepCopy`

    - #### getOperationName

          protected String getOperationName()

      Overrides:
        `getOperationName` in class `SessionNode.DeepCopy`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.